summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xdeps/QScintilla/QScintilla.SlackBuild8
-rwxr-xr-xdeps/dvdauthor/dvdauthor.SlackBuild8
-rw-r--r--deps/dvdauthor/patches/dvdauthor-0.7.2_imagemagick7.patch75
3 files changed, 85 insertions, 6 deletions
diff --git a/deps/QScintilla/QScintilla.SlackBuild b/deps/QScintilla/QScintilla.SlackBuild
index 6f56e9d..dce11c9 100755
--- a/deps/QScintilla/QScintilla.SlackBuild
+++ b/deps/QScintilla/QScintilla.SlackBuild
@@ -28,7 +28,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=QScintilla
-VERSION=${VERSION:-2.11.2}
+VERSION=${VERSION:-2.11.3}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -75,9 +75,9 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf ${PKGNAM}_gpl-$VERSION
-tar xvf $CWD/${PKGNAM}_gpl-$VERSION.tar.?z || exit 1
-cd ${PKGNAM}_gpl-$VERSION || exit 1
+rm -rf ${PKGNAM}-$VERSION
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
+cd ${PKGNAM}-$VERSION || exit 1
# Fix compilation:
cat $CWD/patches/QScintilla_qsciscintillabase_qurl.diff | patch -p1 --verbose || exit 1
diff --git a/deps/dvdauthor/dvdauthor.SlackBuild b/deps/dvdauthor/dvdauthor.SlackBuild
index fc1caaf..e8c8e04 100755
--- a/deps/dvdauthor/dvdauthor.SlackBuild
+++ b/deps/dvdauthor/dvdauthor.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2017, 2018 Eric Hameleers, Eindhoven, NL
+# Copyright 2017, 2018, 2019 Eric Hameleers, Eindhoven, NL
# Copyright 2017 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
@@ -26,7 +26,7 @@
PKGNAM=dvdauthor
VERSION=${VERSION:-0.7.2}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-5}
NUMJOBS=${NUMJOBS:-"-j$(nproc)"}
CWD=$(pwd)
@@ -73,6 +73,10 @@ cd $TMP
rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.gz || exit 1
cd $PKGNAM-$VERSION || exit 1
+
+# Make it compile with imagemagick 7.x:
+cat $CWD/patches/dvdauthor-0.7.2_imagemagick7.patch | patch -p1 --verbose || exit 1
+
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/deps/dvdauthor/patches/dvdauthor-0.7.2_imagemagick7.patch b/deps/dvdauthor/patches/dvdauthor-0.7.2_imagemagick7.patch
new file mode 100644
index 0000000..0f6bed4
--- /dev/null
+++ b/deps/dvdauthor/patches/dvdauthor-0.7.2_imagemagick7.patch
@@ -0,0 +1,75 @@
+--- dvdauthor/src/subgen-image.c 2014-01-21 00:12:37.000000000 +0100
++++ dvdauthor/src/subgen-image.c 2017-11-27 20:26:53.682914041 +0100
+@@ -30,7 +30,7 @@
+
+ #if defined(HAVE_MAGICK) || defined(HAVE_GMAGICK)
+ #include <stdarg.h>
+-#include <magick/api.h>
++#include <MagickWand/MagickWand.h>
+ #else
+ #include <png.h>
+ #endif
+@@ -176,18 +176,18 @@
+ {
+ Image *im;
+ ImageInfo *ii;
+- ExceptionInfo ei;
++ ExceptionInfo *ei;
+ int x,y;
+ unsigned long magickver;
+ unsigned char amask;
+
+- GetExceptionInfo(&ei);
++ ei = AcquireExceptionInfo();
+ ii=CloneImageInfo(NULL);
+ strcpy(ii->filename,s->fname);
+- im=ReadImage(ii,&ei);
++ im=ReadImage(ii,ei);
+
+ if( !im ) {
+- MagickError(ei.severity,"Unable to load file",ii->filename);
++ MagickError(ei->severity,"Unable to load file",ii->filename);
+ return -1;
+ }
+
+@@ -202,10 +202,10 @@
+ for( y=0; y<im->rows; y++ ) {
+ char pdata[MAXX*4];
+
+- if(!ExportImagePixels(im,0,y,im->columns,1,"RGBA",CharPixel,pdata,&ei)) {
+- fprintf(stderr,"ERR: Extracting row %d from %s (%s,%s)\n",y,s->fname,ei.reason,ei.description);
+- CatchException(&ei);
+- MagickError(ei.severity,ei.reason,ei.description);
++ if(!ExportImagePixels(im,0,y,im->columns,1,"RGBA",CharPixel,pdata,ei)) {
++ fprintf(stderr,"ERR: Extracting row %d from %s (%s,%s)\n",y,s->fname,ei->reason,ei->description);
++ CatchException(ei);
++ MagickError(ei->severity,ei->reason,ei->description);
+ DestroyImage(im);
+ return -1;
+ }
+@@ -219,7 +219,7 @@
+ }
+ }
+ DestroyImage(im);
+- DestroyExceptionInfo(&ei);
++ DestroyExceptionInfo(ei);
+ fprintf(stderr,"INFO: Picture %s had %d colors\n",s->fname,s->numpal);
+
+ return 0;
+@@ -1098,13 +1098,13 @@
+ void image_init()
+ {
+ #if defined(HAVE_MAGICK) || defined(HAVE_GMAGICK)
+- InitializeMagick(NULL);
++ MagickCoreGenesis("", MagickFalse);
+ #endif
+ }
+
+ void image_shutdown()
+ {
+ #if defined(HAVE_MAGICK) || defined(HAVE_GMAGICK)
+- DestroyMagick();
++ MagickCoreTerminus();
+ #endif
+ }
+